Schedule Audit

This is a multi-facted endpoint that can perform various actions depending on the input you provide:
1) edit customer data
2) create a Deal for an existing customer
3) begin the scheduling process to create an appointment for a customer.
Note: Empty fields are set to null when created via API, but empty strings ("") when created through the UI.

Query Params
string
required

This is the email address of the Enerflo user that will become the author/creator/setter of the data that is being changed.

string

The email address provided here will be used to assign a Sales Rep to the customer. It should match the email address the Sales Rep uses to log in to Enerflo. If no email address is provided, the customer will not be assigned to any Sales Rep. If there is an existing Sales Rep and this field is left blank, it will not change the current assignment.

string
required

Think of this as the primary key of this lead in the system of origin. (Ex: hubspot lead id, salesforce customer id, etc). The integration_record_id would have been specified when the lead was created.

int32

Optional. This is the ID of the "Deal Type". This is provided to you by the Enerflo Build Team during your onboarding. If you don't know this value, please chat with Enerflo Support. If provided, the createDeal parameter will create an instance of this dealType for this customer.

string

The Enerflo ID of the appointment template you wish to create. Valid values vary by company. You can find your appointment IDs here: https://enerflo.io/company/settings/apt-types
If a value is provided here, the user will then be redirected to the Appointment creation UI in Enerflo.

string

This is the text that will be added to the customer account as a note.

string

The customer’s first name

string

The customer’s last name

string

The customer’s email

string

The customer’s mobile phone number.

string

The Latitude portion of the customer’s address (Ex: “26.7419141”) This is only utilized if the geo coordinates from google maps is unavailable.

string

The longitude portion of the customer’s address (Ex “-80.2114397”) This is only utilized if the geo coordinates from google maps is unavailable.

string

The street address of the location where solar will be installed. Ex "123 N. Main Street"

string

The suite number, apartment number or unit number of the address

string

The city of customer's address

string
enum

The 2-digit abbreviation of the state of customer's address (Ex:

string

The zip code of the customer's address

string

The county of the customer's address

string
enum
Defaults to 1

If set to "1", then Enerflo will auto assign the office for the lead for the specific user. If set to "0" or if absent from the post, then the office will be assigned by the zip.

Allowed:
string
enum
Defaults to 0

If set to "1", then Enerflo will execute the new_customer event. If set to "0" or if absent from the post, then standard events are triggered.

Allowed:
string
enum
Defaults to 0

If set to "1", then Enerflo will not validate any of the inputs nor require an address. If set to "0" or if absent from the post, then Enerflo's standard validation rules are applied.

Allowed:
boolean

Indicates whether the customer has opted in to receive SMS communications. Customers must explicitly opt-in (verbally to a sales rep or digitally) before any SMS messages can be sent. This is required to maintain compliance with FCC, TCPA, and CTIA regulations. If not provided, the default value is false and no messages will be delivered. This value can be updated via the API or UI unless the customer has explicitly replied "STOP" to an SMS. In that case, they cannot be opted in unless they text "START".

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json